List loyalty redemptions

Retrieve reward codes, or find one by code.

Endpoint

GET
/loyalty-redemptions

Query parameters

NameTypeRequiredDescription
organization_idnumberNoID of your organization. Optional: results are always filtered to the API key's organization.
searchstringNoExact reward code, or part of the reward name
member_idnumberNoOnly codes of this card
program_idnumberNoOnly codes of this program
reward_idnumberNoOnly codes of this reward
statusstringNoissued, used, cancelled or expired
channelstringNostaff, public_page, checkout, ai_assistant, api or automation
$limitnumberNoNumber of codes to return (default: 10, max: 50)
$skipnumberNoNumber of codes to skip (for pagination)
$sortobjectNoSort criteria, e.g. $sort[created_at]=-1

Request

Response

json

To resolve a code scanned at the counter together with its card, you can also use the scan action. To retrieve one redemption, see Get a loyalty redemption.

Report an issue with this documentation

Please log in to report issues with our documentation.